Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.example.com/api/v1/pull/subscriptions/{subscription_id} \ --header 'Content-Type: application/json' \ --data ' { "subscribed_events": [ "<string>" ], "description": "<string>", "is_active": true } '
import requests url = "https://api.example.com/api/v1/pull/subscriptions/{subscription_id}" payload = { "subscribed_events": ["<string>"], "description": "<string>", "is_active": True } headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({subscribed_events: ['<string>'], description: '<string>', is_active: true}) }; fetch('https://api.example.com/api/v1/pull/subscriptions/{subscription_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subscribed_events": [ "<string>" ], "is_active": true, "status": "<string>", "token_prefix": "<string>", "next_offset": 123, "head_offset": 123, "earliest_offset": 123, "pending_count": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "last_poll_at": "2023-11-07T05:31:56Z", "description": "<string>", "token": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
500
Successful Response